Changeset 89511


Ignore:
Timestamp:
Feb 1, 2012, 3:58:26 PM (8 years ago)
Author:
jwa@…
Message:

simplify legacy variants, thanks Ryan, I expected something like that to be there, would have to be invented if not, bdb variant still needing improvements

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/databases/libgda5/Portfile

    r89464 r89511  
    129129# the following are legacy variants to be removed after a few update cycles
    130130
    131 variant with_mysql5 \
    132     description {support for current MySQL 5.x} {
    133         depends_lib-append      path:bin/mysql_config5:mysql5
    134         configure.env-append    \
    135                 MYSQL_CONFIG=${prefix}/lib/mysql5/bin/mysql_config
    136         configure.args-delete   --without-mysql
    137         configure.args-append   --with-mysql=${prefix}/lib/mysql5
    138         configure.cppflags-append       "-I${prefix}/include/mysql5/mysql"
    139 }
     131variant with_mysql5 requires mysql5 \
     132    description {Legacy compatibility variant current MySQL 5.x} {}
    140133
    141 variant with_postgresql83 conflicts with_postgresql84 with_postgresql90 \
    142     description {support for PostgreSQL 8.3.x} {
    143         configure.cppflags-append       "-I${prefix}/include/postgresql83"
    144         depends_lib-append      port:postgresql83
    145         configure.args-delete   --without-postgres
    146         configure.args-append   --with-postgres=${prefix}/lib/postgresql83
    147 }
     134variant with_postgresql83 requires postgresql83 \
     135    description {Legacy compatibility variant PostgreSQL 8.3.x} {}
    148136
    149 variant with_postgresql84 conflicts with_postgresql83 with_postgresql90 \
    150     description {support for PostgreSQL 8.4.x} {
    151         configure.cppflags-append       "-I${prefix}/include/postgresql84"
    152         depends_lib-append      port:postgresql84
    153         configure.args-delete   --without-postgres
    154         configure.args-append   --with-postgres=${prefix}/lib/postgresql84
    155 }
     137variant with_postgresql84 requires postgresql84 \
     138    description {Legacy compatibility variant PostgreSQL 8.4.x} {}
    156139
    157 variant with_postgresql90 conflicts with_postgresql83 with_postgresql84 \
    158     description {support for PostgreSQL 9.0.x} {
    159         configure.cppflags-append       "-I${prefix}/include/postgresql90"
    160         depends_lib-append      port:postgresql90
    161         configure.args-delete   --without-postgres
    162         configure.args-append   --with-postgres=${prefix}/lib/postgresql90
    163 }
     140variant with_postgresql90 requires postgresql90 \
     141    description {Legacy compatibility variant PostgreSQL 9.0.x} {}
    164142
    165 variant without_bdb \
    166     description {remove support for Berkeley DB} {
    167         configure.args-delete   --with-bdb=${prefix}
    168         configure.args-append   --without-bdb
     143variant without_bdb conflicts bdb \
     144    description {Legacy compatibility variant} {}
     145if {[variant_isset without_bdb]} {
     146    default_variants    -bdb
     147} else {
     148    default_variants    +bdb
    169149}
    170150
Note: See TracChangeset for help on using the changeset viewer.